Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.patterns
Class StepPattern

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.patterns.NodeTest
                  |
                  +--org.apache.xpath.patterns.StepPattern

Direct Known Subclasses:
  AncestorStepPattern, FunctionPattern

public class StepPattern
extends NodeTest
implements SubContextList

Fields inherited from class org.apache.xpath.patterns.NodeTest
`SCORE_NONE, SHOW_BYFUNCTION, SHOW_NAMESPACE, WILD`

Constructor Summary
`StepPattern(int whatToShow)`
`StepPattern(int whatToShow, java.lang.String namespace, java.lang.String name)`

Method Summary
`void` | `calcTargetString()`
`XObject` | `execute(XPathContext xctxt)`
`XObject` | `executeRelativePathPattern(XPathContext xctxt)`
`XObject` | `executeStep(XPathContext xctxt)`
`int` | `getLastPos(XPathContext xctxt)`
`double` | `getMatchScore(XPathContext xctxt, Node context)` Get the match score of the given node.
`Expression` | `getPredicate(int i)`
`int` | `getPredicateCount()`
`int` | `getProximityPosition(XPathContext xctxt)`
`java.lang.String` | `getTargetString()`
`void` | `setPredicates(Expression[] predicates)`
`void` | `setRelativePathPattern(StepPattern expr)`

Methods inherited from class org.apache.xpath.patterns.NodeTest
`debugWhatToShow, getDefaultScore, getLocalName, getNamespace, getWhatToShow, initNodeTest, initNodeTest`

Methods inherited from class org.apache.xpath.Expression
`assert, error, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StepPattern

    public StepPattern(int whatToShow,
                       java.lang.String namespace,
                       java.lang.String name)

### StepPattern

    public StepPattern(int whatToShow)

Method Detail

### calcTargetString

    public void calcTargetString()

### getTargetString

    public java.lang.String getTargetString()

### setRelativePathPattern

    public void setRelativePathPattern(StepPattern expr)

### getPredicate

    public Expression getPredicate(int i)

### getPredicateCount

    public final int getPredicateCount()

### setPredicates

    public void setPredicates(Expression[] predicates)

### executeStep

    public XObject executeStep(XPathContext xctxt)
                        throws SAXException

### getProximityPosition

    public int getProximityPosition(XPathContext xctxt)

  Specified by:
    getProximityPosition in interface SubContextList

### getLastPos

    public int getLastPos(XPathContext xctxt)

  Specified by:
    getLastPos in interface SubContextList

### executeRelativePathPattern

    public XObject executeRelativePathPattern(XPathContext xctxt)
                                       throws SAXException

### execute

    public XObject execute(XPathContext xctxt)
                    throws SAXException

  Overrides:
    execute in class NodeTest

### getMatchScore

    public double getMatchScore(XPathContext xctxt,
                                Node context)
                         throws SAXException

  Get the match score of the given node.
  Parameters:
    `context` - The current source tree context node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.